Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 193)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 194)
@@ -30,7 +30,7 @@
 		ChartsEngine.createChartsEngines();
 		ChartsEngine.setCurrrentChartsEngine(TXMPreferences.getString(ChartsEnginePreferences.PREFERENCES_NODE, ChartsEnginePreferences.CURRENT_NAME));
 		
-		TXMPreferences.alternativeNodesQualifiers = new String[]{ChartsEnginePreferences.PREFERENCES_NODE};
+		TXMPreferences.alternativeNodesQualifiers.add(ChartsEnginePreferences.PREFERENCES_NODE);
 
 	}
 	
Index: tmp/org.txm.chartsengine.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.core/META-INF/MANIFEST.MF	(revision 193)
+++ tmp/org.txm.chartsengine.core/META-INF/MANIFEST.MF	(revision 194)
@@ -4,8 +4,7 @@
 Bundle-SymbolicName: org.txm.chartsengine.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Require-Bundle: org.txm.core;bundle-version="0.7.0",
- org.eclipse.core.runtime,
- jfreechart;bundle-version="1.0.17"
+ org.eclipse.core.runtime
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.chartsengine.core,
Index: tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF	(revision 193)
+++ tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF	(revision 194)
@@ -9,7 +9,8 @@
  org.txm.core;bundle-version="0.7.0",
  org.txm.rcp,
  org.eclipse.ui;bundle-version="3.106.1",
- org.eclipse.core.runtime;bundle-version="3.10.0"
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.lexicaltable.core;bundle-version="1.0.0"
 Export-Package: org.txm.ca.rcp.adapters,
  org.txm.ca.rcp.chartsengine.events,
  org.txm.ca.rcp.editors,
Index: tmp/org.txm.ca.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.ca.core/META-INF/MANIFEST.MF	(revision 193)
+++ tmp/org.txm.ca.core/META-INF/MANIFEST.MF	(revision 194)
@@ -4,8 +4,7 @@
 Bundle-SymbolicName: org.txm.ca.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.chartsengine.core;bundle-version="1.0.0",
- org.txm.core;bundle-version="0.7.0",
+Require-Bundle: org.txm.core;bundle-version="0.7.0",
  org.eclipse.core.runtime;bundle-version="3.10.0",
  org.txm.chartsengine.r.core;bundle-version="1.0.0",
  org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0",
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java	(revision 193)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java	(revision 194)
@@ -16,7 +16,6 @@
 import org.jfree.chart.labels.ItemLabelPosition;
 import org.jfree.chart.plot.PlotOrientation;
 import org.jfree.chart.plot.XYPlot;
-import org.jfree.chart.renderer.xy.XYItemRenderer;
 import org.jfree.chart.title.LegendTitle;
 import org.jfree.data.xy.XYDataset;
 import org.jfree.ui.TextAnchor;
@@ -31,6 +30,7 @@
 import org.txm.chartsengine.jfreechart.core.JFCChartCreator;
 import org.txm.chartsengine.jfreechart.core.renderers.MultipleItemsSelector;
 import org.txm.chartsengine.jfreechart.core.themes.base.BlockRoundBorder;
+import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers.ItemSelectionXYSplineRenderer;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.stat.StatException;
 import org.txm.utils.logger.Log;
@@ -243,6 +243,15 @@
     	renderer.setBasePositiveItemLabelPosition(position);
     	renderer.setBaseNegativeItemLabelPosition(position);
 
+    	// Grid
+    	plot.setRangeGridlineStroke(plot.getDomainGridlineStroke());
+    	plot.setDomainGridlinesVisible(true);
+    	
+    	// Axis
+     	plot.getRangeAxis().setAxisLineVisible(true);
+    	plot.getRangeAxis().setTickMarksVisible(true);
+		plot.getDomainAxis().setVerticalTickLabels(false);
+    	
     	// Zero base lines
 		plot.setDomainZeroBaselineVisible(true);
 		plot.setRangeZeroBaselineVisible(true);
@@ -260,7 +269,8 @@
     		legendTitle.setFrame(new BlockRoundBorder(Color.GRAY));
     	}
 
-    	
+    	// FIXME
+    //	this.getChartsEngine().squareOffGraph((JFreeChart) chart, 200, 200d);
 
 	}
 
